from typing import Dict

api_resource_ids: Dict[str, Dict[str, str]] = {
    "historic-day-ahead-demand-forecast": {
        "id": "9847e7bb-986e-49be-8138-717b25933fbb",
        "url": "https://data.nationalgrideso.com/demand/1-day-ahead-demand-forecast/r/historic_day_ahead_demand_forecasts"
    },
    "day-ahead-demand-forecast": {
        "id": "aec5601a-7f3e-4c4c-bf56-d8e4184d3c5b",
        "url": "https://data.nationalgrideso.com/demand/1-day-ahead-demand-forecast/r/day_ahead_national_demand_forecast"
    },
    "historic-2day-ahead-demand-forecast": {
        "id": "24abd271-5936-45c7-85f4-2a6b450ef6b7",
        "url": "https://data.nationalgrideso.com/demand/2-day-ahead-demand-forecast/r/historic_2_day_ahead_demand_forecasts"
    },
    "2day-ahead-demand-forecast": {
        "id": "cda26f27-4bb6-4632-9fb5-2d029ca605e1",
        "url": "https://data.nationalgrideso.com/demand/2-day-ahead-demand-forecast/r/2_day_ahead_demand_forecast"
    },
    "historic-day-ahead-wind-forecast": {
        "id": "7524ec65-f782-4258-aaf8-5b926c17b966",
        "url": "https://data.nationalgrideso.com/demand/day-ahead-wind-forecast/r/historic_day_ahead_wind_forecasts"
    },
    "day-ahead-wind-forecast": {
        "id": "b2f03146-f05d-4824-a663-3a4f36090c71",
        "url": "https://data.nationalgrideso.com/demand/day-ahead-wind-forecast/r/day_ahead_wind_forecast"
    },
    "demand-data-update": {
        "id": "177f6fa4-ae49-4182-81ea-0c6b35f26ca6",
        "url": "https://data.nationalgrideso.com/demand/daily-demand-update"
    },
    "dc-results-summary": {
        "id": "888e5029-f786-41d2-bc15-cbfd1d285e96",
        "url": "https://data.nationalgrideso.com/ancillary-services/dynamic-containment-data/r/dc_results_summary_master_data_2021-2022"
    },
    "historic-frequency-data-jan22": {
        "id": "43000c20-1208-4ca7-a419-712c7a1d375c",
        "url": "https://data.nationalgrideso.com/system/system-frequency-data/r/january_2022_-_historic_frequency_data"
    },
    "historic-frequency-data-dec21": {
        "id": "afe9895c-5937-4e78-8949-f0f026643666",
        "url": "https://data.nationalgrideso.com/system/system-frequency-data/r/december_2021_-_historic_frequency_data"
    },
    "historic-frequency-data-nov21": {
        "id": "9bc4746e-3152-4c6f-886e-58377ab88e0e",
        "url": "https://data.nationalgrideso.com/system/system-frequency-data/r/november_2021_-_historic_frequency_data"
    },
    "historic-frequency-data-oct21": {
        "id": "12291f14-95c3-4847-b2ef-3190eaa1193c",
        "url": "https://data.nationalgrideso.com/system/system-frequency-data/r/october_2021_-_historic_frequency_data"
    },
    "historic-frequency-data-sep21": {
        "id": "5cea7516-cbc3-416e-8dbf-162327c16b17",
        "url": "https://data.nationalgrideso.com/system/system-frequency-data/r/september_2021_-_historic_frequency_data"
    },
    "historic-frequency-data-aug21": {
        "id": "ae40912b-de8f-43b1-8eeb-c58e469f2365",
        "url": "https://data.nationalgrideso.com/system/system-frequency-data/r/august_2021_-_historic_frequency_data"
    },
    "historic-frequency-data-jul21": {
        "id": "94d95251-ccbb-4187-ae54-1b90ebf12b9f",
        "url": "https://data.nationalgrideso.com/system/system-frequency-data/r/july_2021_-_historic_frequency_data"
    },
    "historic-frequency-data-jun21": {
        "id": "bd754692-bce7-43b7-ba25-813921476391",
        "url": "https://data.nationalgrideso.com/system/system-frequency-data/r/june_2021_-_historic_frequency_data"
    },
    "historic-frequency-data-may21": {
        "id": "625597eb-7364-4ba8-a306-a7f59dcdc2a7",
        "url": "https://data.nationalgrideso.com/system/system-frequency-data/r/may_2021_-_historic_frequency_data"
    },
    "historic-frequency-data-apr21": {
        "id": "bd6e1b3f-1abb-452c-813c-397a41f7af8d",
        "url": "https://data.nationalgrideso.com/system/system-frequency-data/r/april_2021_-_historic_frequency_data"
    },
    "historic-frequency-data-mar21": {
        "id": "ac4e4031-0f86-48ff-8ecd-147d51ffbb81",
        "url": "https://data.nationalgrideso.com/system/system-frequency-data/r/march_2021_-_historic_frequency_data"
    },
    "historic-frequency-data-feb21": {
        "id": "53e2be31-c68c-40b3-bb83-7ae12240107c",
        "url": "https://data.nationalgrideso.com/system/system-frequency-data/r/february_2021_-_historic_frequency_data"
    },
    "historic-frequency-data-jan21": {
        "id": "fe2502b8-7fef-4027-8399-550a0c84f415",
        "url": "https://data.nationalgrideso.com/system/system-frequency-data/r/january_2021_-_historic_frequency_data"
    },
}

file_resource_ids: Dict[str, Dict[str, str]] = {
    "historic-generation-mix": {
        "dataset_id": "88313ae5-94e4-4ddc-a790-593554d8c6b9",
        "resource_id": "f93d1835-75bc-43e5-84ad-12472b180a98",
        "filename": "df_fuel_ckan.csv",
        "url": "https://data.nationalgrideso.com/carbon-intensity1/historic-generation-mix"
    }
}
